Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002467 [SkyOS 5.0 - Beta] feature always 2007-12-18 15:26 2008-07-22 13:12
Reporter Darknesss View Status public  
Assigned To
Priority normal Resolution open  
Status new  
Summary 0002467: ttyname not implemented
Description ttyname seems to return 'skyos' instead of the terminal path:
http://www.mkssoftware.com/docs/man3/ttyname.3.asp [^]
Additional Information
Tags No tags attached.
Environment VMWare Windows
Reported for build 6814
Fixed in build
VersionType Installed System
Attached Files

- Relationships

-  Notes
(0002695)
Darknesss (reporter)
2008-02-16 00:48

bump, openssh needs this

What should ttyname return in skyos? So I can add a dummy function
(0002747)
Darknesss (reporter)
2008-07-19 02:23

please?

openssh-5.0p1 compiles on skyos, would be nice if this got fixed
(0002749)
robert (administrator)
2008-07-21 06:47

unfortunately fixing this isn't just a matter of adding a simple function. I'm still investigating this (using the openssh recipe) and trying to find out what needs to be added into the kernel and into the tty/pty driver.
(0002751)
Darknesss (reporter)
2008-07-22 13:12

Oh, I see.
Don't rush it, we want this thing to be robust :)

- Issue History
Date Modified Username Field Change
2007-12-18 15:26 Darknesss New Issue
2007-12-18 15:26 Darknesss Environment => VMWare Windows
2007-12-18 15:26 Darknesss Reported for build => 6814
2007-12-18 15:26 Darknesss VersionType => Installed System
2008-02-16 00:48 Darknesss Note Added: 0002695
2008-07-19 02:23 Darknesss Note Added: 0002747
2008-07-21 06:47 robert Note Added: 0002749
2008-07-22 13:12 Darknesss Note Added: 0002751


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker